get
https://api.rotowire.com/Baseball/MLB/ProjectedLineups.php
Returns projected MLB starting lineups before official confirmation. Includes Expected and Confirmed lineup status as data becomes available.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
date | string | No | Date to retrieve lineups for. Format YYYY-MM-DD. Defaults to current date. |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Date | string | |
Games | array |
Games Object
| Field | Type | Description |
|---|---|---|
DateTime | string | |
Teams | array |
Example Response
{
"Date": "2017-08-23",
"Games": [
{
"DateTime": "2017-08-23T19:10:00-04:00",
"Teams": [
{
"Id": 10,
"Code": "DET",
"IsHome": 1,
"Players": [
{
"Id": 8389,
"FirstName": "Ian",
"LastName": "Kinsler",
"Position": "2B",
"BattingSpot": 1,
"Link": "https://www.rotowire.com/baseball/player.htm?id=8389"
}
]
}
]
}
]
}